<?php

add_action( 'init', 'register_orido_portfolio' );
function register_orido_portfolio() {
    
$labels = array( 
'name' => __( 'Portfolio', 'orido' ),
'singular_name' => __( 'Portfolio', 'orido' ),
'add_new' => __( 'Add New Portfolio', 'orido' ),
'add_new_item' => __( 'Add New Portfolio', 'orido' ),
'edit_item' => __( 'Edit Portfolio', 'orido' ),
'new_item' => __( 'New Portfolio', 'orido' ),
'view_item' => __( 'View Portfolio', 'orido' ),
'search_items' => __( 'Search Portfolio', 'orido' ),
'not_found' => __( 'No Portfolio found', 'orido' ),
'not_found_in_trash' => __( 'No Portfolio found in Trash', 'orido' ),
'parent_item_colon' => __( 'Parent Portfolio:', 'orido' ),
'menu_name' => __( 'Portfolio', 'orido' ),
);

$args = array( 
'labels' => $labels,
'hierarchical' => true,
'description' => 'List Portfolio',
'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
'taxonomies' => array( 'portfolio', 'type1' ),
'public' => true,
'show_ui' => true,
'show_in_menu' => true,
'menu_position' => 5,
'menu_icon' => 'dashicons-id-alt', 
'show_in_nav_menus' => true,
'publicly_queryable' => true,
'exclude_from_search' => false,
'has_archive' => true,
'query_var' => true,
'can_export' => true,
'rewrite' => true,
'capability_type' => 'post'
);

register_post_type( 'portfolio', $args );
}
add_action( 'init', 'create_type1_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_Type1_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

$labels = array(
'name' => __( 'Type', 'orido' ),
'singular_name' => __( 'Type', 'orido' ),
'search_items' =>  __( 'Search Type','orido' ),
'all_items' => __( 'All Type','orido' ),
    'parent_item' => __( 'Parent Type','orido' ),
    'parent_item_colon' => __( 'Parent Type:','orido' ),
    'edit_item' => __( 'Edit Type','orido' ), 
    'update_item' => __( 'Update Type','orido' ),
    'add_new_item' => __( 'Add New Type','orido' ),
    'new_item_name' => __( 'New Type Name','orido' ),
    'menu_name' => __( 'Type','orido' ),
  );     

// Now register the taxonomy

  register_taxonomy('type1',array('portfolio'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type1' ),
  ));

}

add_action( 'init', 'register_orido_service' );
function register_orido_service() {
    
$labels = array( 
'name' => __( 'Service', 'orido' ),
'singular_name' => __( 'Service', 'orido' ),
'add_new' => __( 'Add New Service', 'orido' ),
'add_new_item' => __( 'Add New Service', 'orido' ),
'edit_item' => __( 'Edit Service', 'orido' ),
'new_item' => __( 'New Service', 'orido' ),
'view_item' => __( 'View Service', 'orido' ),
'search_items' => __( 'Search Service', 'orido' ),
'not_found' => __( 'No Service found', 'orido' ),
'not_found_in_trash' => __( 'No Service found in Trash', 'orido' ),
'parent_item_colon' => __( 'Parent Service:', 'orido' ),
'menu_name' => __( 'Service', 'orido' ),
);

$args = array( 
'labels' => $labels,
'hierarchical' => true,
'description' => 'List Service',
'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
'taxonomies' => array( 'service', 'type2' ),
'public' => true,
'show_ui' => true,
'show_in_menu' => true,
'menu_position' => 5,
'menu_icon' => 'dashicons-id-alt', 
'show_in_nav_menus' => true,
'publicly_queryable' => true,
'exclude_from_search' => false,
'has_archive' => true,
'query_var' => true,
'can_export' => true,
'rewrite' => true,
'capability_type' => 'post'
);

register_post_type( 'service', $args );
}
add_action( 'init', 'create_type2_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_type2_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

$labels = array(
'name' => __( 'Type', 'orido' ),
'singular_name' => __( 'Type', 'orido' ),
'search_items' =>  __( 'Search Type','orido' ),
'all_items' => __( 'All Type','orido' ),
    'parent_item' => __( 'Parent Type','orido' ),
    'parent_item_colon' => __( 'Parent Type:','orido' ),
    'edit_item' => __( 'Edit Type','orido' ), 
    'update_item' => __( 'Update Type','orido' ),
    'add_new_item' => __( 'Add New Type','orido' ),
    'new_item_name' => __( 'New Type Name','orido' ),
    'menu_name' => __( 'Type','orido' ),
  );     

// Now register the taxonomy

  register_taxonomy('type2',array('service'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type2' ),
  ));

}

?>